# Bank Transfer Retrieve

When customers who have completed the Bank Transfer process click on the "Complete Purchase" button, they will be directed to the callbackUrl address that you specified during the initiation of the bank transfer.&#x20;

A token value will be posted to this address. You can use this token value to make a second inquiry. The returned response should be checked for the paymentStatus value. If you want to systematically check the payment status, you can repeat this request at specific intervals. This request provides detailed information about the transaction result.&#x20;

You can obtain the token value to be used in this inquiry either when you create the bank transfer form or when it is posted to your callbackUrl address by iyzico. Additionally, a notification will be sent to the webhookURL address when the payment is matched.

{% hint style="info" %}
**NOTE**: The product/service should only be delivered to the customer when the paymentStatus is "SUCCESS". In other payment statuses, the payment is not considered successful.
{% endhint %}

### Sample Webhook Notification

```json
{
  "iyziEventTime": "1569325868970",
  "iyziEventType": "BANK_TRANSFER_AUTH",
  "iyziReferenceCode": "028246012345",
  "status": "SUCCESS",
  "token": "04de1234-32b9-6907-bf06-0987ae260e35"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iyzico.com/en/products/bank-transfer/bank-transfer-implementation/banka-transferi-sorgulama.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
